:root {
	--navbar-text-color: #011E41 ; /* Infinity Blue */
	--navbar-bg-color: #FFF ; /* White */
	--navbar-text-color-focus: #6788B1 ; /* Ship Cove (blue) */
	--navbar-bg-contrast: red ; /* Ship Cove (blue) */
}
a {
	text-decoration: none ;
	/*color: var(--navbar-text-color) ;*/
	font-weight: 800;
}

a:hover {
	text-decoration: none ;
	/*color: var(--navbar-text-color-focus) ;*/
	font-weight: 800;
}

main {
	min-height: 50vh;
	display: flex;
	align-items: center;
	justify-content: center;
}

button.navbar-toggle {
	outline: none;
}

.container {
	max-width: 1000px;
	padding-left: 1.4rem;
	padding-right: 1.4rem;
	margin-left: auto;
	margin-right: auto;
}

#navbar {
	--navbar-height: 64px;
	position: fixed;
	height: var(--navbar-height);
	background-color: var(--navbar-bg-color);
	left: 0;
	right: 0;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
}

.navbar-container {
	display: flex;
	justify-content: space-between;
	height: 100%;
	align-items: center;
	max-width: 968px;
	margin: 0 auto;
}

.home-link,
.navbar-link {

	color: var(--navbar-text-color);
	font-size: 12px;
	font-style: normal;
	font-weight: 800;
	letter-spacing: -0.6px;
	line-height: 20px;
	text-transform: uppercase;

	transition: color 0.2s ease-in-out;
	text-decoration: none;
	display: flex;
	align-items: center;
	transition: background-color 0.2s ease-in-out,
	color 0.2s ease-in-out;
}

.home-link:focus,
.home-link:hover {
	color: var(--navbar-text-color-focus);
}

.navbar-link {
	justify-content: center;
	width: 100%;
	padding: 0.4em 0.8em;
	border-radius: 10px 10px 0 0;
	margin: 0;
	height: 62px;
}

.navbar-link:focus,
.navbar-link:hover {
	color: var(--navbar-text-color-focus);
	/*background-color: var(--navbar-bg-contrast);*/
	/*border : 1px solid white ;*/
}

.navbar-logo {
	background-color: var(--navbar-text-color-focus);
	border-radius: 50%;
	width: 40px;
	height: 40px;
	margin-right: 0.5em;
	text-align: left;
}

.navbar-toggle {
	cursor: pointer;
	border: none;
	background-color: transparent;
	width: 40px;
	height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.icon-bar {
	display: block;
	width: 25px;
	height: 4px;
	margin: 2px;
	transition: background-color 0.2s ease-in-out,
	transform 0.2s ease-in-out,
	opacity 0.2s ease-in-out;
	background-color: var(--navbar-text-color);
}

.navbar-toggle:focus .icon-bar,
.navbar-toggle:hover .icon-bar {
	background-color: var(--navbar-text-color-focus);
}


#navbar.opened .navbar-toggle .icon-bar:first-child,
#navbar.opened .navbar-toggle .icon-bar:last-child {
	position: absolute;
	margin: 0;
	width: 30px;
}

#navbar.opened .navbar-toggle .icon-bar:first-child {
	transform: rotate(45deg);
}

#navbar.opened .navbar-toggle .icon-bar:nth-child(2) {
	opacity: 0;
}

#navbar.opened .navbar-toggle .icon-bar:last-child {
	transform: rotate(-45deg);
}

.navbar-menu {
	position: fixed;
	top: var(--navbar-height);
	bottom: 0;
	transition: opacity 0.2s ease-in-out,
	visibility 0.2s ease-in-out,
	left 0.2s ease-in-out,
	right 0.2s ease-in-out;
	opacity: 0;
	visibility: hidden;
}

.navbar-menu.sidebar,
.navbar-menu.sidebar.left {
	left: -1000px;
	right: 0;
}

#navbar.opened .navbar-menu {
	background-color: rgba(0, 0, 0, 0.4);
	opacity: 1;
	visibility: visible;
}

#navbar.opened .navbar-menu.sidebar.left {
	left: 0;
}

#navbar.opened .navbar-menu.sidebar.right {
	right: 0;
}

.navbar-links {
	list-style-type: none;
	max-height: 0;
	overflow: hidden;
	position: absolute;
	background-color: var(--navbar-bg-color);
	display: flex;
	flex-direction: column;
	align-items: center;
}

#navbar.opened .navbar-links {
	padding-left: 1em;
	padding-right: 2em;
	max-height: none;
}

.sidebar .navbar-links {
	top: 0;
	bottom: 0;
}

.left.sidebar .navbar-links {
	left: 0;
	right: unset;
	box-shadow: 5px 20px 20px rgba(0, 0, 0, 0.3);
}

.right.sidebar .navbar-links {
	right: 0;
	left: unset;
	box-shadow: -5px 20px 20px rgba(0, 0, 0, 0.3);
}

.detached .navbar-links {
	left: 0;
	right: 0;
	margin: 1.4rem;
	border-radius: 5px;
	box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}

.attached .navbar-links {
	left: 0;
	right: 0;
	box-shadow: 0 20px 20px rgba(0, 0, 0, 0.3);
}

.navbar-item {
	margin: 1px;
	/* width: 110px; */
}


/* For larger screens*/
@media screen and (min-width: 700px) {
	.navbar-toggle {
		display: none;
	}

	#navbar .navbar-menu,
	#navbar.opened .navbar-menu {
		visibility: visible;
		opacity: 1;
		position: static;
		display: block;
		height: 100%;
	}

	#navbar .navbar-links,
	#navbar.opened .navbar-links {
		margin: 0;
		padding: 0;
		box-shadow: none;
		position: static;
		flex-direction: row;
		list-style-type: none;
		max-height: max-content;
		width: 100%;
		height: 100%;
	}

	#navbar .navbar-link:last-child {
		margin-right: 0;
	}

    .navbar-icon {
		display : inline-block ;
		margin-right: 8px; 
	}
}

/* For smaller screens */
@media screen and (max-width: 700px) {
	.navbar-icon {
		display : inline-block ;
		margin-right: 20px; 
	}

    .navbar-link {
        justify-content: left;
	}

}


#options {
	display: flex;
	flex-direction: column;
}